Δευτέρα
19/03/2018

Android P: Θέμα συμβατότητας με παλαιότερα Apps;

older apps androidP

Το Android P θα γίνει διαθέσιμο επίσημα το τρίτο τρίμηνο του 2018 και όσο περισσότερο περνάει ο καιρός τόσο νεότερα στοιχεία θα προκύπτουν για αυτό. Σε πρόσφατη δοκιμή βρέθηκε πως η έκδοση αυτή πιθανόν να μην είναι συμβατή με παλαιότερες εφαρμογές.

Οι developers ανακάλυψαν μέσα στον κώδικα της developer preview του Android P στοιχεία που αναφέρουν ότι υποστηρίζουν τα API μέχρι μιας συγκεκριμένης έκδοσης. Να υπενθυμίσουμε ότι με τον όρο API (Application Programming Interface) εννοούμε το ενδιάμεσο λογισμικό που επιτρέπει την επικοινωνία μεταξύ δύο εφαρμογών.

Έτσι, σε περίπτωση που αυτό δεν είναι σύμφωνο με την ελάχιστη παλαιότερη έκδοση του API τότε στην οθόνη εμφανίζεται προειδοποιητικό μήνυμα που αναφέρει ότι “η συγκεκριμένη εφαρμογή έχει αναπτυχθεί για παλαιότερη έκδοση Android και πιθανόν να μη δουλεύει σωστά. Ελέγξτε για πιθανή αναβάθμιση ή επικοινωνήστε με τον developer”.

Επί του παρόντος, η ελάχιστη έκδοση του API στο Android P είναι η 17, που αναφέρεται στην έκδοση Android 4.2 Jelly Bean. Άρα όσες εφαρμογές έχουν αναπτυχθεί για να δουλεύουν μέχρι εκείνη την έκδοση, ενδεχομένως να μη λειτουργούν στο Android P και θα πρέπει να περιμένουμε μέχρι την τελική έκδοση του λειτουργικού συστήματος για να διαπιστώσουμε εαν όντως ισχύει αυτό το θέμα με τη συμβατότητα των εφαρμογών.

Πηγή

Μάθε για: , ,

Συντάκτης: .

3 Σχόλια

  1. Ο/Η James λέει:

    Αρα μιλάμε για εφαρμογές που εχουν να αναβαθμιστούν απο το 2012.

  2. Ο/Η alxgiann λέει:

    Δεν είναι κάτι νέο αυτό. Ήδη μερικές νέες εφαρμογές υποστηρίζουν έκδοση 7.0 ή μεταγενέστερη. Από το 2019, όσοι μείνουν με οτιδήποτε πιο παλιά έκδοση, θα έχουν προβλήματα..

  3. Ο/Η KnightRider λέει:

    Custom Rom και Dual Boot είναι η λύση !!!

Η γνώμη σας

Παρακαλούμε σχολιάστε με ελληνικούς πεζούς χαρακτήρες, όχι greeklish.

Πατώντας "Αποστολή" αποδέχεστε τους Όρους Χρήσης.